%define name    qjackctl
%define version 0.1.1
%define release 1

%define	desktop_vendor	planetccrma
%define desktop_utils   %(if which desktop-file-install 2>1 >/dev/null ; then echo "yes" ; fi)

Summary:      Qt based JACK control application
Name:         %{name}
Version:      %{version}
Release:      %{?release_prefix:%{release_prefix}.}%{release}%{?release_suffix:.%{release_suffix}}
URL:          http://qjackctl.sourceforge.net
Source0:      %{name}-%{version}.tar.gz
License:      GPL
Group:        Applications/Multimedia
BuildRoot:    %{_tmppath}/%{name}-root
Packager:     Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
Distribution: Planet CCRMA
# qjackctl > 0.0.8 requires Jack 0.80.0 or better
Requires:     jack-audio-connection-kit >= 0.80.0

%description
Qjackctl is a simple Qt application to control the JACK sound server
daemon, specific for the Linux Audio Desktop infrastructure.

%prep
%setup -q

%build
%configure
make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make prefix=%{buildroot}%{_prefix} install

cat << EOF > %{desktop_vendor}-%{name}.desktop
[Desktop Entry]
Name=Qjackctl
Comment=JACK control application
Icon=qjackctl.xpm
Exec=%{_bindir}/%{name}
Terminal=false
Type=Application
EOF

%if "%{desktop_utils}" == "yes"
  mkdir -p %{buildroot}%{_datadir}/applications
  desktop-file-install --vendor %{desktop_vendor} \
    --dir %{buildroot}%{_datadir}/applications    \
    --add-category X-Red-Hat-Base                 \
    --add-category Application                    \
    --add-category AudioVideo                     \
    %{desktop_vendor}-%{name}.desktop
%else
  install -d %{buildroot}%{_sysconfdir}/X11/applnk/Multimedia
  install %{desktop_vendor}-%{name}.desktop %{buildroot}%{_sysconfdir}/X11/applnk/Multimedia/
%endif

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL README TODO
%{_bindir}/qjackctl
%{_datadir}/icons/qjackctl.xpm
%if "%{desktop_utils}" == "yes"
%{_datadir}/applications/%{desktop_vendor}-%{name}.desktop
%else
%attr(644,root,root) %{_sysconfdir}/X11/applnk/Multimedia/%{desktop_vendor}-%{name}.desktop
%endif

%changelog
* Thu Oct 30 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.1.1-1
- updated to 0.1.1
* Fri Oct 10 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.9a-1
- updated to 0.0.9a
* Thu Sep 25 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.9-1
- updated to 0.0.9 (release often indeed!)
* Mon Sep 22 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.8-1
- updated to 0.0.8
- added explicit jack version requirement
* Mon Sep 15 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.7-1
- updated to 0.0.7
* Fri Sep  5 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.5-1
- updated to 0.0.5
* Fri Aug 29 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.4-1
- updated to 0.0.4, updated release tags
* Fri Aug  8 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.3-1
- updated to 0.0.3
* Wed Aug  6 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.2-1
- updated to 0.0.2
* Tue Jul 30 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.1-1
- initial build
